{{ partial "header/head.html" . }}
<body>
    {{ partial "header/site-header.html" . }}
    <main class="content {{ .Section }} {{ .Kind }} {{ .Type }} grid-container full">
        <div class="grid-x">
            {{ if isset .Params "image" }}
            <div class="cell">
                <img src="{{ .Params.image.src | absURL }}" alt="{{ .Params.image.alt }}" class="primary-image post-image">
            </div>
            {{ end }}
            <div class="post small-10 large-6 small-offset-1 large-offset-3 cell">
                <header>
                    <h1>{{ .Title }}</h1>
                    {{ if isset .Params "description" }}
                    <p class="lead">{{ .Params.description }}</p>
                    {{ end }}
                    <div class="byline"><time class="post-date" datetime="{{ .Date.Format "2006-01-02T15:04:05-0700" }}">{{ .Date.Format "January 2, 2006" }}</time> &middot; {{ div .WordCount 175 }} minute read</div>
                </header>
                {{ if .Params.toc }}
                <aside class="callout secondary small">
                    <h4>Contents</h4>
                    {{ .TableOfContents }}
                </aside>
                {{ end }}

                {{ .Content }}

                {{ with .Params.tags }}
                <div class="tags">
                    {{ range sort . }}
                    <a class="button secondary" href="{{ "tags/" | absURL }}{{ . | urlize }}" rel="tag"><i class="fi-price-tag"></i> {{ . }}</a>
                    {{ end }}
                </div>
                {{ end }}

                <div class="grid-x grid-margin-x">
                    <div class="next small-12 large-6 cell">
                        {{ with .NextInSection }}
                        <a href="{{ .Permalink }}" rel="next">
                            <div class="card">
                                <div class="card-divider">
                                    <small><i class="fi-arrow-left"></i> Next Post</small>
                                </div>
                                {{ if isset .Params "image" }}
                                <div class="card-image">
                                    <img src="{{ .Params.image.src | absURL }}" alt="{{ .Params.image.alt }}">
                                </div>
                                {{ end }}
                                <div class="card-section">
                                    {{ .Title }}
                                </div>
                            </div>
                        </a>
                        {{ end }}
                    </div>
                    <div class="prev small-12 large-6 cell">
                        {{ with .PrevInSection }}
                        <a href="{{ .Permalink }}" rel="prev">
                            <div class="card">
                                <div class="card-divider">
                                    <small>Previous Post <i class="fi-arrow-right"></i></small>
                                </div>
                                {{ if isset .Params "image" }}
                                <div class="card-image">
                                    <img src="{{ .Params.image.src | absURL }}" alt="{{ .Params.image.alt }}">
                                </div>
                                {{ end }}
                                <div class="card-section">
                                    {{ .Title }}
                                </div>
                            </div>
                        </a>
                        {{ end }}
                    </div>
                </div>

                {{ template "_internal/disqus.html" . }}
            </div>
        </div>
    </main>
{{ partial "footer/site-footer.html" . }}
